extern void save_triangulation(Triangulation *manifold, char *file_name);
extern Triangulation *get_triangulation(char *file_name);
extern Triangulation *GetCensusManifold(short aCensus, short anIndex, char* census_directory);
//extern Boolean are_isometric(Triangulation* manifold, Triangulation* other_manifold);
extern Triangulation* triangulate_link_complement_from_file(char* file_name, char *path);
extern KLPProjection* load_link_complement_from_file(char* file_name, char *path); 
extern Triangulation   *DT_knotscape_string_to_triangulation(char* aString);
extern Triangulation* fibered_manifold_associated_to_braid(int numStrands, int braidLength, int* word);
extern void nathans_print_complex_equations(Triangulation   *manifold);
extern int std_complex_equations_to_file(Triangulation   *manifold, char* file_name);

extern void* update_link_format(char* orig_file, char* new_file);
//extern Triangulation*  get_indexed_punctured_torus_bundle(bool negative_trace, int index, int length);
//%apply long* OUTPUT {long* p, long* q};
//extern bool is_two_bridge(const Triangulation* manifold, long* p, long* q);



// stuff below only for me

//extern double find_shortest_geodesic(Triangulation* manifold);
